Bug 22932 - oracle 8.1.6 installer crashes with glibc-2.2-9.i686.rpm
Summary: oracle 8.1.6 installer crashes with glibc-2.2-9.i686.rpm
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 7.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-28 10:31 UTC by pezz@tkwcy.ee
Modified: 2016-11-24 15:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-28 13:41:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error message after starting oracle installer script runInstaller (6.82 KB, text/plain)
2000-12-28 10:34 UTC, pezz@tkwcy.ee
no flags Details
error message after starting netasst (6.13 KB, text/plain)
2000-12-28 10:35 UTC, pezz@tkwcy.ee
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:001 high SHIPPED_LIVE : glibc file read or write access local vulnerability 2001-01-11 05:00:00 UTC

Description pezz@tkwcy.ee 2000-12-28 10:31:16 UTC
After updating to glibc-2.2-9.i686.rpm oracle 8.1.6 installer segfaults with 
message 
SIGSEGV received at bfffdc50 in /mnt/cdrom/stage/Components/oracle.swd.jre/1.1.8/1/DataFiles/Expanded/linux/lib/linux/native_threads/libjava.so. Processing terminated
Also it seems that all other oracle's graphical tools crash the same way. All works fine with RedHat7's original glibc-2.1.92-14.

Comment 1 pezz@tkwcy.ee 2000-12-28 10:34:40 UTC
Created attachment 6762 [details]
error message after starting oracle installer script runInstaller

Comment 2 pezz@tkwcy.ee 2000-12-28 10:35:53 UTC
Created attachment 6763 [details]
error message after starting netasst

Comment 3 Jakub Jelinek 2000-12-28 13:41:36 UTC
Have you followed the procedure described in #18391 (basically you have to
make sure all the linking during Oracle install is done against compat-libs
and compat-glibc)?

Comment 4 Jakub Jelinek 2001-01-11 22:53:02 UTC
I believe this is the IBM JDK bug which has been worked around
in glibc-2.2-12. If not, please reopen.


Note You need to log in before you can comment on or make changes to this bug.